package com.ruoyi.powerdistribution.domain;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.powerdistribution.util.DateConverter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 作业计划对象 pdm_work_plan
 *
 * @author ruoyi
 * @date 2024-12-01
 */
public class PdmWorkPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** uuid  */
    @Excel(name = "uuid ")
    private String uuid;

    /** 周计划编号  */
    @Excel(name = "周计划编号 ")
    private String weekPlanNo;

    /** 周计划ID  */
    @Excel(name = "周计划ID ")
    private String weekPlanId;

    /** 项目名称  */
    @Excel(name = "项目名称 ")
    private String projNm;

    /** 项目ID  */
    @Excel(name = "项目ID ")
    private String projId;

    /** 源ID  */
    @Excel(name = "源ID ")
    private String srcId;

    /** 计划名称  */
    @Excel(name = "计划名称 ")
    private String planNm;

    /** 报送单位名称  */
    @Excel(name = "报送单位名称 ")
    private String submitOrgNm;

    /** 报送单位ID  */
    @Excel(name = "报送单位ID ")
    private String submitOrgId;

    /** 单位排序  */
    @Excel(name = "单位排序 ")
    private String orgSort;

    /** 管理单位名称  */
    @Excel(name = "管理单位名称 ")
    private String mgmtOrgNm;

    /** 管理单位ID  */
    @Excel(name = "管理单位ID ")
    private String mgmtOrgId;

    /** 所属运维市单位id  */
    @Excel(name = "所属运维市单位id ")
    private String blgOpMaintCityOrgId;

    /** 所属施工市单位ID  */
    @Excel(name = "所属施工市单位ID ")
    private String blgConstCityOrgId;

    /** 检修施工单位名称  */
    @Excel(name = "检修施工单位名称 ")
    private String ovhaulConstOrgNm;

    /** 检修施工单位ID  */
    @Excel(name = "检修施工单位ID ")
    private String ovhaulConstOrgId;

    /** 运维单位名称  */
    @Excel(name = "运维单位名称 ")
    private String opMaintOrgNm;

    /** 运维单位ID  */
    @Excel(name = "运维单位ID ")
    private String opMaintOrgId;

    /** 变电站/线路名称  */
    @Excel(name = "变电站/线路名称 ")
    private String subsOrLineNm;

    /** 变电站/线路ID  */
    @Excel(name = "变电站/线路ID ")
    private String subsOrLineId;

    /** 作业风险等级代码  */
    @Excel(name = "作业风险等级代码 ")
    private String opRiskLvlCd;

    /** 作业风险等级描述  */
    @Excel(name = "作业风险等级描述 ")
    private String opRiskLvlDsc;

    /** 电网风险等级代码  */
    @Excel(name = "电网风险等级代码 ")
    private String elecgdRiskLvlCd;

    /** 电网风险等级描述  */
    @Excel(name = "电网风险等级描述 ")
    private String elecgdRiskLvlDsc;

    /** 电压等级代码  */
    @Excel(name = "电压等级代码 ")
    private String voltLvlCd;

    /** 电压等级描述  */
    @Excel(name = "电压等级描述 ")
    private String voltLvlDsc;

    /** 专业类型代码  */
    @Excel(name = "专业类型代码 ")
    private String majorTypCd;

    /** 专业类型描述  */
    @Excel(name = "专业类型描述 ")
    private String majorTypDsc;

    /** 作业类型代码  */
    @Excel(name = "作业类型代码 ")
    private String opTypCd;

    /** 作业类型描述  */
    @Excel(name = "作业类型描述 ")
    private String opTypDsc;

    /** 工作票类型代码  */
    @Excel(name = "工作票类型代码 ")
    private String workticketTypCd;

    /** 工作票类型描述  */
    @Excel(name = "工作票类型描述 ")
    private String workticketTypDsc;

    /** 停电类型代码  */
    @Excel(name = "停电类型代码 ")
    private String poweroffTypCd;

    /** 停电类型描述  */
    @Excel(name = "停电类型描述 ")
    private String poweroffTypDsc;

    /** 是否带电作业代码  */
    @Excel(name = "是否带电作业代码 ")
    private String isEnergizedOpCd;

    /** 是否带电作业描述  */
    @Excel(name = "是否带电作业描述 ")
    private String isEnergizedOpDsc;

    /** 计划开工时间  */
    @ExcelProperty(converter = DateConverter.class,value = "计划开工时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "计划开工时间 ", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date planStartWkTm;

    /** 计划结束时间  */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "计划结束时间 ", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date planEndTm;

    /** 作业内容  */
    @Excel(name = "作业内容 ")
    private String opContent;

    /** 变更方案描述  */
    @Excel(name = "变更方案描述 ")
    private String chgSchemeDsc;

    /** 作业地址  */
    @Excel(name = "作业地址 ")
    private String opAddr;

    /** 市行政地址  */
    @Excel(name = "市行政地址 ")
    private String cityAdmAddr;

    /** 县行政地址  */
    @Excel(name = "县行政地址 ")
    private String countyAdmAddr;

    /** 详细位置  */
    @Excel(name = "详细位置 ")
    private String detlPos;

    /** 标志性建筑  */
    @Excel(name = "标志性建筑 ")
    private String landmarkArchit;

    /** 工作班组名称  */
    @Excel(name = "工作班组名称 ")
    private String workTeamNm;

    /** 工作班组ID  */
    @Excel(name = "工作班组ID ")
    private String workTeamId;

    /** 主业单位作业人数  */
    @Excel(name = "主业单位作业人数 ")
    private String mainBusiOrgOpNum;

    /** 外包单位作业人数  */
    @Excel(name = "外包单位作业人数 ")
    private String outsourcingOrgOpNum;

    /** 产业单位作业人数  */
    @Excel(name = "产业单位作业人数 ")
    private String industryOrgOpNum;

    /** 工作负责人名称  */
    @Excel(name = "工作负责人名称 ")
    private String workPrincipNm;

    /** 工作负责人ID  */
    @Excel(name = "工作负责人ID ")
    private String workPrincipId;

    /** 工作负责人联系方式  */
    @Excel(name = "工作负责人联系方式 ")
    private String workPrincipContactMode;

    /** 专业管理部门  */
    @Excel(name = "专业管理部门 ")
    private String majorMgmtDept;

    /** 建管单位名称  */
    @Excel(name = "建管单位名称 ")
    private String buildMgmtOrgNm;

    /** 施工单位名称  */
    @Excel(name = "施工单位名称 ")
    private String constOrgNm;

    /** 施工单位ID  */
    @Excel(name = "施工单位ID ")
    private String constOrgId;

    /** 施工单位类别代码  */
    @Excel(name = "施工单位类别代码 ")
    private String constOrgCateCd;

    /** 施工单位类别描述  */
    @Excel(name = "施工单位类别描述 ")
    private String constOrgCateDsc;

    /** 分包单位名称  */
    @Excel(name = "分包单位名称 ")
    private String scntrctOrgNm;

    /** 分包单位ID  */
    @Excel(name = "分包单位ID ")
    private String scntrctOrgId;

    /** 分包单位性质代码  */
    @Excel(name = "分包单位性质代码 ")
    private String scntrctOrgNatureCd;

    /** 分包单位性质描述  */
    @Excel(name = "分包单位性质描述 ")
    private String scntrctOrgNatureDsc;

    /** 监理单位名称  */
    @Excel(name = "监理单位名称 ")
    private String inspectOrgNm;

    /** 监理单位ID  */
    @Excel(name = "监理单位ID ")
    private String inspectOrgId;

    /** 停电范围  */
    @Excel(name = "停电范围 ")
    private String poweroffRange;

    /** 监督检查  */
    @Excel(name = "监督检查 ")
    private String supervisesCheck;

    /** 现场监督  */
    @Excel(name = "现场监督 ")
    private String sceneSupervises;

    /** 现场监护  */
    @Excel(name = "现场监护 ")
    private String sceneGuardianship;

    /** 发布状态代码  */
    @Excel(name = "发布状态代码 ")
    private String releaseStCd;

    /** 发布状态描述  */
    @Excel(name = "发布状态描述 ")
    private String releaseStDsc;

    /** 发布时间  */
    @Excel(name = "发布时间 ")
    private String releaseTm;

    /** 发布人  */
    @Excel(name = "发布人 ")
    private String releasePes;

    /** 发布人员ID  */
    @Excel(name = "发布人员ID ")
    private String releasePersonId;

    /** 是否发布及时代码  */
    @Excel(name = "是否发布及时代码 ")
    private String isReleaseIntimeCd;

    /** 计划执行状态代码  */
    @Excel(name = "计划执行状态代码 ")
    private String planExecStCd;

    /** 是否变更代码  */
    @Excel(name = "是否变更代码 ")
    private String isChgMoreCd;

    /** 是否变更描述  */
    @Excel(name = "是否变更描述 ")
    private String isChgMoreDsc;

    /** 删除标记代码  */
    @Excel(name = "删除标记代码 ")
    private String delMarkCd;

    /** 删除标记描述  */
    @Excel(name = "删除标记描述 ")
    private String delMarkDsc;

    /** 绑定布控球数量  */
    @Excel(name = "绑定布控球数量 ")
    private String bindQt;

    /** 是否佩戴安全帽(1是0否  */
    @Excel(name = "是否佩戴安全帽(1是0否 ")
    private String isWearSafetyhat;

    /** 工作来源  */
    @Excel(name = "工作来源 ")
    private String workSrc;

    /** 创建时间-原系统   */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTm;

    /** 更新时间-原系统  */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date moreNewTm;

    /** 计划类型代码 周计划:2028001 临时计划2028002  */
    @Excel(name = "计划类型代码 ")
    private String planTypCd;

    /** 计划类型描述  */
    @Excel(name = "计划类型描述 ")
    private String planTypDsc;

    /** 标准供电单位编号  */
    @Excel(name = "标准供电单位编号 ")
    private String stdOrgNo;

    /** 标准供电单位名称  */
    @Excel(name = "标准供电单位名称 ")
    private String stdOrgNm;

    /** 标准地市单位名称  */
    @Excel(name = "标准地市单位名称 ")
    private String stdCityOrgNm;

    /** 数据日期  */
    @Excel(name = "数据日期 ")
    private String dataDt;

    /** etl时间戳  */
    @Excel(name = "etl时间戳 ")
    private String etlTm;

    /** 月分区  */
    @Excel(name = "月分区 ")
    private String parMon;

    /** 标准地市公司单位编号  */
    @Excel(name = "标准地市公司单位编号 ")
    private String stdCityOrgNo;

    /** 计划执行状态描述  */
    @Excel(name = "计划执行状态描述 ")
    private String planExecStDsc;

    /** 取消原因  */
    @Excel(name = "取消原因 ")
    private String cancelReason;

    /** 临时计划原因  */
    @Excel(name = "临时计划原因 ")
    private String planReason;

    /** 风险类型  */
    private String riskType;

    /**
     * 异常类型
     */
    private String exceptionType;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUuid(String uuid)
    {
        this.uuid = uuid;
    }

    public String getUuid()
    {
        return uuid;
    }
    public void setWeekPlanNo(String weekPlanNo)
    {
        this.weekPlanNo = weekPlanNo;
    }

    public String getWeekPlanNo()
    {
        return weekPlanNo;
    }
    public void setWeekPlanId(String weekPlanId)
    {
        this.weekPlanId = weekPlanId;
    }

    public String getWeekPlanId()
    {
        return weekPlanId;
    }
    public void setProjNm(String projNm)
    {
        this.projNm = projNm;
    }

    public String getProjNm()
    {
        return projNm;
    }
    public void setProjId(String projId)
    {
        this.projId = projId;
    }

    public String getProjId()
    {
        return projId;
    }
    public void setSrcId(String srcId)
    {
        this.srcId = srcId;
    }

    public String getSrcId()
    {
        return srcId;
    }
    public void setPlanNm(String planNm)
    {
        this.planNm = planNm;
    }

    public String getPlanNm()
    {
        return planNm;
    }
    public void setSubmitOrgNm(String submitOrgNm)
    {
        this.submitOrgNm = submitOrgNm;
    }

    public String getSubmitOrgNm()
    {
        return submitOrgNm;
    }
    public void setSubmitOrgId(String submitOrgId)
    {
        this.submitOrgId = submitOrgId;
    }

    public String getSubmitOrgId()
    {
        return submitOrgId;
    }
    public void setOrgSort(String orgSort)
    {
        this.orgSort = orgSort;
    }

    public String getOrgSort()
    {
        return orgSort;
    }
    public void setMgmtOrgNm(String mgmtOrgNm)
    {
        this.mgmtOrgNm = mgmtOrgNm;
    }

    public String getMgmtOrgNm()
    {
        return mgmtOrgNm;
    }
    public void setMgmtOrgId(String mgmtOrgId)
    {
        this.mgmtOrgId = mgmtOrgId;
    }

    public String getMgmtOrgId()
    {
        return mgmtOrgId;
    }
    public void setBlgOpMaintCityOrgId(String blgOpMaintCityOrgId)
    {
        this.blgOpMaintCityOrgId = blgOpMaintCityOrgId;
    }

    public String getBlgOpMaintCityOrgId()
    {
        return blgOpMaintCityOrgId;
    }
    public void setBlgConstCityOrgId(String blgConstCityOrgId)
    {
        this.blgConstCityOrgId = blgConstCityOrgId;
    }

    public String getBlgConstCityOrgId()
    {
        return blgConstCityOrgId;
    }
    public void setOvhaulConstOrgNm(String ovhaulConstOrgNm)
    {
        this.ovhaulConstOrgNm = ovhaulConstOrgNm;
    }

    public String getOvhaulConstOrgNm()
    {
        return ovhaulConstOrgNm;
    }
    public void setOvhaulConstOrgId(String ovhaulConstOrgId)
    {
        this.ovhaulConstOrgId = ovhaulConstOrgId;
    }

    public String getOvhaulConstOrgId()
    {
        return ovhaulConstOrgId;
    }
    public void setOpMaintOrgNm(String opMaintOrgNm)
    {
        this.opMaintOrgNm = opMaintOrgNm;
    }

    public String getOpMaintOrgNm()
    {
        return opMaintOrgNm;
    }
    public void setOpMaintOrgId(String opMaintOrgId)
    {
        this.opMaintOrgId = opMaintOrgId;
    }

    public String getOpMaintOrgId()
    {
        return opMaintOrgId;
    }
    public void setSubsOrLineNm(String subsOrLineNm)
    {
        this.subsOrLineNm = subsOrLineNm;
    }

    public String getSubsOrLineNm()
    {
        return subsOrLineNm;
    }
    public void setSubsOrLineId(String subsOrLineId)
    {
        this.subsOrLineId = subsOrLineId;
    }

    public String getSubsOrLineId()
    {
        return subsOrLineId;
    }
    public void setOpRiskLvlCd(String opRiskLvlCd)
    {
        this.opRiskLvlCd = opRiskLvlCd;
    }

    public String getOpRiskLvlCd()
    {
        return opRiskLvlCd;
    }
    public void setOpRiskLvlDsc(String opRiskLvlDsc)
    {
        this.opRiskLvlDsc = opRiskLvlDsc;
    }

    public String getOpRiskLvlDsc()
    {
        return opRiskLvlDsc;
    }
    public void setElecgdRiskLvlCd(String elecgdRiskLvlCd)
    {
        this.elecgdRiskLvlCd = elecgdRiskLvlCd;
    }

    public String getElecgdRiskLvlCd()
    {
        return elecgdRiskLvlCd;
    }
    public void setElecgdRiskLvlDsc(String elecgdRiskLvlDsc)
    {
        this.elecgdRiskLvlDsc = elecgdRiskLvlDsc;
    }

    public String getElecgdRiskLvlDsc()
    {
        return elecgdRiskLvlDsc;
    }
    public void setVoltLvlCd(String voltLvlCd)
    {
        this.voltLvlCd = voltLvlCd;
    }

    public String getVoltLvlCd()
    {
        return voltLvlCd;
    }
    public void setVoltLvlDsc(String voltLvlDsc)
    {
        this.voltLvlDsc = voltLvlDsc;
    }

    public String getVoltLvlDsc()
    {
        return voltLvlDsc;
    }
    public void setMajorTypCd(String majorTypCd)
    {
        this.majorTypCd = majorTypCd;
    }

    public String getMajorTypCd()
    {
        return majorTypCd;
    }
    public void setMajorTypDsc(String majorTypDsc)
    {
        this.majorTypDsc = majorTypDsc;
    }

    public String getMajorTypDsc()
    {
        return majorTypDsc;
    }
    public void setOpTypCd(String opTypCd)
    {
        this.opTypCd = opTypCd;
    }

    public String getOpTypCd()
    {
        return opTypCd;
    }
    public void setOpTypDsc(String opTypDsc)
    {
        this.opTypDsc = opTypDsc;
    }

    public String getOpTypDsc()
    {
        return opTypDsc;
    }
    public void setWorkticketTypCd(String workticketTypCd)
    {
        this.workticketTypCd = workticketTypCd;
    }

    public String getWorkticketTypCd()
    {
        return workticketTypCd;
    }
    public void setWorkticketTypDsc(String workticketTypDsc)
    {
        this.workticketTypDsc = workticketTypDsc;
    }

    public String getWorkticketTypDsc()
    {
        return workticketTypDsc;
    }
    public void setPoweroffTypCd(String poweroffTypCd)
    {
        this.poweroffTypCd = poweroffTypCd;
    }

    public String getPoweroffTypCd()
    {
        return poweroffTypCd;
    }
    public void setPoweroffTypDsc(String poweroffTypDsc)
    {
        this.poweroffTypDsc = poweroffTypDsc;
    }

    public String getPoweroffTypDsc()
    {
        return poweroffTypDsc;
    }
    public void setIsEnergizedOpCd(String isEnergizedOpCd)
    {
        this.isEnergizedOpCd = isEnergizedOpCd;
    }

    public String getIsEnergizedOpCd()
    {
        return isEnergizedOpCd;
    }
    public void setIsEnergizedOpDsc(String isEnergizedOpDsc)
    {
        this.isEnergizedOpDsc = isEnergizedOpDsc;
    }

    public String getIsEnergizedOpDsc()
    {
        return isEnergizedOpDsc;
    }
    public void setPlanStartWkTm(Date planStartWkTm)
    {
        this.planStartWkTm = planStartWkTm;
    }

    public Date getPlanStartWkTm()
    {
        return planStartWkTm;
    }
    public void setPlanEndTm(Date planEndTm)
    {
        this.planEndTm = planEndTm;
    }

    public Date getPlanEndTm()
    {
        return planEndTm;
    }
    public void setOpContent(String opContent)
    {
        this.opContent = opContent;
    }

    public String getOpContent()
    {
        return opContent;
    }
    public void setChgSchemeDsc(String chgSchemeDsc)
    {
        this.chgSchemeDsc = chgSchemeDsc;
    }

    public String getChgSchemeDsc()
    {
        return chgSchemeDsc;
    }
    public void setOpAddr(String opAddr)
    {
        this.opAddr = opAddr;
    }

    public String getOpAddr()
    {
        return opAddr;
    }
    public void setCityAdmAddr(String cityAdmAddr)
    {
        this.cityAdmAddr = cityAdmAddr;
    }

    public String getCityAdmAddr()
    {
        return cityAdmAddr;
    }
    public void setCountyAdmAddr(String countyAdmAddr)
    {
        this.countyAdmAddr = countyAdmAddr;
    }

    public String getCountyAdmAddr()
    {
        return countyAdmAddr;
    }
    public void setDetlPos(String detlPos)
    {
        this.detlPos = detlPos;
    }

    public String getDetlPos()
    {
        return detlPos;
    }
    public void setLandmarkArchit(String landmarkArchit)
    {
        this.landmarkArchit = landmarkArchit;
    }

    public String getLandmarkArchit()
    {
        return landmarkArchit;
    }
    public void setWorkTeamNm(String workTeamNm)
    {
        this.workTeamNm = workTeamNm;
    }

    public String getWorkTeamNm()
    {
        return workTeamNm;
    }
    public void setWorkTeamId(String workTeamId)
    {
        this.workTeamId = workTeamId;
    }

    public String getWorkTeamId()
    {
        return workTeamId;
    }
    public void setMainBusiOrgOpNum(String mainBusiOrgOpNum)
    {
        this.mainBusiOrgOpNum = mainBusiOrgOpNum;
    }

    public String getMainBusiOrgOpNum()
    {
        return mainBusiOrgOpNum;
    }
    public void setOutsourcingOrgOpNum(String outsourcingOrgOpNum)
    {
        this.outsourcingOrgOpNum = outsourcingOrgOpNum;
    }

    public String getOutsourcingOrgOpNum()
    {
        return outsourcingOrgOpNum;
    }
    public void setIndustryOrgOpNum(String industryOrgOpNum)
    {
        this.industryOrgOpNum = industryOrgOpNum;
    }

    public String getIndustryOrgOpNum()
    {
        return industryOrgOpNum;
    }
    public void setWorkPrincipNm(String workPrincipNm)
    {
        this.workPrincipNm = workPrincipNm;
    }

    public String getWorkPrincipNm()
    {
        return workPrincipNm;
    }
    public void setWorkPrincipId(String workPrincipId)
    {
        this.workPrincipId = workPrincipId;
    }

    public String getWorkPrincipId()
    {
        return workPrincipId;
    }
    public void setWorkPrincipContactMode(String workPrincipContactMode)
    {
        this.workPrincipContactMode = workPrincipContactMode;
    }

    public String getWorkPrincipContactMode()
    {
        return workPrincipContactMode;
    }
    public void setMajorMgmtDept(String majorMgmtDept)
    {
        this.majorMgmtDept = majorMgmtDept;
    }

    public String getMajorMgmtDept()
    {
        return majorMgmtDept;
    }
    public void setBuildMgmtOrgNm(String buildMgmtOrgNm)
    {
        this.buildMgmtOrgNm = buildMgmtOrgNm;
    }

    public String getBuildMgmtOrgNm()
    {
        return buildMgmtOrgNm;
    }
    public void setConstOrgNm(String constOrgNm)
    {
        this.constOrgNm = constOrgNm;
    }

    public String getConstOrgNm()
    {
        return constOrgNm;
    }
    public void setConstOrgId(String constOrgId)
    {
        this.constOrgId = constOrgId;
    }

    public String getConstOrgId()
    {
        return constOrgId;
    }
    public void setConstOrgCateCd(String constOrgCateCd)
    {
        this.constOrgCateCd = constOrgCateCd;
    }

    public String getConstOrgCateCd()
    {
        return constOrgCateCd;
    }
    public void setConstOrgCateDsc(String constOrgCateDsc)
    {
        this.constOrgCateDsc = constOrgCateDsc;
    }

    public String getConstOrgCateDsc()
    {
        return constOrgCateDsc;
    }
    public void setScntrctOrgNm(String scntrctOrgNm)
    {
        this.scntrctOrgNm = scntrctOrgNm;
    }

    public String getScntrctOrgNm()
    {
        return scntrctOrgNm;
    }
    public void setScntrctOrgId(String scntrctOrgId)
    {
        this.scntrctOrgId = scntrctOrgId;
    }

    public String getScntrctOrgId()
    {
        return scntrctOrgId;
    }
    public void setScntrctOrgNatureCd(String scntrctOrgNatureCd)
    {
        this.scntrctOrgNatureCd = scntrctOrgNatureCd;
    }

    public String getScntrctOrgNatureCd()
    {
        return scntrctOrgNatureCd;
    }
    public void setScntrctOrgNatureDsc(String scntrctOrgNatureDsc)
    {
        this.scntrctOrgNatureDsc = scntrctOrgNatureDsc;
    }

    public String getScntrctOrgNatureDsc()
    {
        return scntrctOrgNatureDsc;
    }
    public void setInspectOrgNm(String inspectOrgNm)
    {
        this.inspectOrgNm = inspectOrgNm;
    }

    public String getInspectOrgNm()
    {
        return inspectOrgNm;
    }
    public void setInspectOrgId(String inspectOrgId)
    {
        this.inspectOrgId = inspectOrgId;
    }

    public String getInspectOrgId()
    {
        return inspectOrgId;
    }
    public void setPoweroffRange(String poweroffRange)
    {
        this.poweroffRange = poweroffRange;
    }

    public String getPoweroffRange()
    {
        return poweroffRange;
    }
    public void setSupervisesCheck(String supervisesCheck)
    {
        this.supervisesCheck = supervisesCheck;
    }

    public String getSupervisesCheck()
    {
        return supervisesCheck;
    }
    public void setSceneSupervises(String sceneSupervises)
    {
        this.sceneSupervises = sceneSupervises;
    }

    public String getSceneSupervises()
    {
        return sceneSupervises;
    }
    public void setSceneGuardianship(String sceneGuardianship)
    {
        this.sceneGuardianship = sceneGuardianship;
    }

    public String getSceneGuardianship()
    {
        return sceneGuardianship;
    }
    public void setReleaseStCd(String releaseStCd)
    {
        this.releaseStCd = releaseStCd;
    }

    public String getReleaseStCd()
    {
        return releaseStCd;
    }
    public void setReleaseStDsc(String releaseStDsc)
    {
        this.releaseStDsc = releaseStDsc;
    }

    public String getReleaseStDsc()
    {
        return releaseStDsc;
    }
    public void setReleaseTm(String releaseTm)
    {
        this.releaseTm = releaseTm;
    }

    public String getReleaseTm()
    {
        return releaseTm;
    }
    public void setReleasePes(String releasePes)
    {
        this.releasePes = releasePes;
    }

    public String getReleasePes()
    {
        return releasePes;
    }
    public void setReleasePersonId(String releasePersonId)
    {
        this.releasePersonId = releasePersonId;
    }

    public String getReleasePersonId()
    {
        return releasePersonId;
    }
    public void setIsReleaseIntimeCd(String isReleaseIntimeCd)
    {
        this.isReleaseIntimeCd = isReleaseIntimeCd;
    }

    public String getIsReleaseIntimeCd()
    {
        return isReleaseIntimeCd;
    }
    public void setPlanExecStCd(String planExecStCd)
    {
        this.planExecStCd = planExecStCd;
    }

    public String getPlanExecStCd()
    {
        return planExecStCd;
    }
    public void setIsChgMoreCd(String isChgMoreCd)
    {
        this.isChgMoreCd = isChgMoreCd;
    }

    public String getIsChgMoreCd()
    {
        return isChgMoreCd;
    }
    public void setIsChgMoreDsc(String isChgMoreDsc)
    {
        this.isChgMoreDsc = isChgMoreDsc;
    }

    public String getIsChgMoreDsc()
    {
        return isChgMoreDsc;
    }
    public void setDelMarkCd(String delMarkCd)
    {
        this.delMarkCd = delMarkCd;
    }

    public String getDelMarkCd()
    {
        return delMarkCd;
    }
    public void setDelMarkDsc(String delMarkDsc)
    {
        this.delMarkDsc = delMarkDsc;
    }

    public String getDelMarkDsc()
    {
        return delMarkDsc;
    }
    public void setBindQt(String bindQt)
    {
        this.bindQt = bindQt;
    }

    public String getBindQt()
    {
        return bindQt;
    }
    public void setIsWearSafetyhat(String isWearSafetyhat)
    {
        this.isWearSafetyhat = isWearSafetyhat;
    }

    public String getIsWearSafetyhat()
    {
        return isWearSafetyhat;
    }
    public void setWorkSrc(String workSrc)
    {
        this.workSrc = workSrc;
    }

    public String getWorkSrc()
    {
        return workSrc;
    }
    public void setCreateTm(Date createTm)
    {
        this.createTm = createTm;
    }

    public Date getCreateTm()
    {
        return createTm;
    }
    public void setMoreNewTm(Date moreNewTm)
    {
        this.moreNewTm = moreNewTm;
    }

    public Date getMoreNewTm()
    {
        return moreNewTm;
    }
    public void setPlanTypCd(String planTypCd)
    {
        this.planTypCd = planTypCd;
    }

    public String getPlanTypCd()
    {
        return planTypCd;
    }
    public void setPlanTypDsc(String planTypDsc)
    {
        this.planTypDsc = planTypDsc;
    }

    public String getPlanTypDsc()
    {
        return planTypDsc;
    }
    public void setStdOrgNo(String stdOrgNo)
    {
        this.stdOrgNo = stdOrgNo;
    }

    public String getStdOrgNo()
    {
        return stdOrgNo;
    }
    public void setStdOrgNm(String stdOrgNm)
    {
        this.stdOrgNm = stdOrgNm;
    }

    public String getStdOrgNm()
    {
        return stdOrgNm;
    }
    public void setStdCityOrgNm(String stdCityOrgNm)
    {
        this.stdCityOrgNm = stdCityOrgNm;
    }

    public String getStdCityOrgNm()
    {
        return stdCityOrgNm;
    }
    public void setDataDt(String dataDt)
    {
        this.dataDt = dataDt;
    }

    public String getDataDt()
    {
        return dataDt;
    }
    public void setEtlTm(String etlTm)
    {
        this.etlTm = etlTm;
    }

    public String getEtlTm()
    {
        return etlTm;
    }
    public void setParMon(String parMon)
    {
        this.parMon = parMon;
    }

    public String getParMon()
    {
        return parMon;
    }
    public void setStdCityOrgNo(String stdCityOrgNo)
    {
        this.stdCityOrgNo = stdCityOrgNo;
    }

    public String getStdCityOrgNo()
    {
        return stdCityOrgNo;
    }
    public void setPlanExecStDsc(String planExecStDsc)
    {
        this.planExecStDsc = planExecStDsc;
    }

    public String getPlanExecStDsc()
    {
        return planExecStDsc;
    }

    public String getCancelReason() {
        return cancelReason;
    }

    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    public String getPlanReason() {
        return planReason;
    }

    public void setPlanReason(String planReason) {
        this.planReason = planReason;
    }

    public String getRiskType() {
        return riskType;
    }

    public void setRiskType(String riskType) {
        this.riskType = riskType;
    }

    public String getExceptionType() {
        return exceptionType;
    }

    public void setExceptionType(String exceptionType) {
        this.exceptionType = exceptionType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uuid", getUuid())
            .append("weekPlanNo", getWeekPlanNo())
            .append("weekPlanId", getWeekPlanId())
            .append("projNm", getProjNm())
            .append("projId", getProjId())
            .append("srcId", getSrcId())
            .append("planNm", getPlanNm())
            .append("submitOrgNm", getSubmitOrgNm())
            .append("submitOrgId", getSubmitOrgId())
            .append("orgSort", getOrgSort())
            .append("mgmtOrgNm", getMgmtOrgNm())
            .append("mgmtOrgId", getMgmtOrgId())
            .append("blgOpMaintCityOrgId", getBlgOpMaintCityOrgId())
            .append("blgConstCityOrgId", getBlgConstCityOrgId())
            .append("ovhaulConstOrgNm", getOvhaulConstOrgNm())
            .append("ovhaulConstOrgId", getOvhaulConstOrgId())
            .append("opMaintOrgNm", getOpMaintOrgNm())
            .append("opMaintOrgId", getOpMaintOrgId())
            .append("subsOrLineNm", getSubsOrLineNm())
            .append("subsOrLineId", getSubsOrLineId())
            .append("opRiskLvlCd", getOpRiskLvlCd())
            .append("opRiskLvlDsc", getOpRiskLvlDsc())
            .append("elecgdRiskLvlCd", getElecgdRiskLvlCd())
            .append("elecgdRiskLvlDsc", getElecgdRiskLvlDsc())
            .append("voltLvlCd", getVoltLvlCd())
            .append("voltLvlDsc", getVoltLvlDsc())
            .append("majorTypCd", getMajorTypCd())
            .append("majorTypDsc", getMajorTypDsc())
            .append("opTypCd", getOpTypCd())
            .append("opTypDsc", getOpTypDsc())
            .append("workticketTypCd", getWorkticketTypCd())
            .append("workticketTypDsc", getWorkticketTypDsc())
            .append("poweroffTypCd", getPoweroffTypCd())
            .append("poweroffTypDsc", getPoweroffTypDsc())
            .append("isEnergizedOpCd", getIsEnergizedOpCd())
            .append("isEnergizedOpDsc", getIsEnergizedOpDsc())
            .append("planStartWkTm", getPlanStartWkTm())
            .append("planEndTm", getPlanEndTm())
            .append("opContent", getOpContent())
            .append("chgSchemeDsc", getChgSchemeDsc())
            .append("opAddr", getOpAddr())
            .append("cityAdmAddr", getCityAdmAddr())
            .append("countyAdmAddr", getCountyAdmAddr())
            .append("detlPos", getDetlPos())
            .append("landmarkArchit", getLandmarkArchit())
            .append("workTeamNm", getWorkTeamNm())
            .append("workTeamId", getWorkTeamId())
            .append("mainBusiOrgOpNum", getMainBusiOrgOpNum())
            .append("outsourcingOrgOpNum", getOutsourcingOrgOpNum())
            .append("industryOrgOpNum", getIndustryOrgOpNum())
            .append("workPrincipNm", getWorkPrincipNm())
            .append("workPrincipId", getWorkPrincipId())
            .append("workPrincipContactMode", getWorkPrincipContactMode())
            .append("majorMgmtDept", getMajorMgmtDept())
            .append("buildMgmtOrgNm", getBuildMgmtOrgNm())
            .append("constOrgNm", getConstOrgNm())
            .append("constOrgId", getConstOrgId())
            .append("constOrgCateCd", getConstOrgCateCd())
            .append("constOrgCateDsc", getConstOrgCateDsc())
            .append("scntrctOrgNm", getScntrctOrgNm())
            .append("scntrctOrgId", getScntrctOrgId())
            .append("scntrctOrgNatureCd", getScntrctOrgNatureCd())
            .append("scntrctOrgNatureDsc", getScntrctOrgNatureDsc())
            .append("inspectOrgNm", getInspectOrgNm())
            .append("inspectOrgId", getInspectOrgId())
            .append("poweroffRange", getPoweroffRange())
            .append("supervisesCheck", getSupervisesCheck())
            .append("sceneSupervises", getSceneSupervises())
            .append("sceneGuardianship", getSceneGuardianship())
            .append("releaseStCd", getReleaseStCd())
            .append("releaseStDsc", getReleaseStDsc())
            .append("releaseTm", getReleaseTm())
            .append("releasePes", getReleasePes())
            .append("releasePersonId", getReleasePersonId())
            .append("isReleaseIntimeCd", getIsReleaseIntimeCd())
            .append("planExecStCd", getPlanExecStCd())
            .append("isChgMoreCd", getIsChgMoreCd())
            .append("isChgMoreDsc", getIsChgMoreDsc())
            .append("delMarkCd", getDelMarkCd())
            .append("delMarkDsc", getDelMarkDsc())
            .append("bindQt", getBindQt())
            .append("isWearSafetyhat", getIsWearSafetyhat())
            .append("workSrc", getWorkSrc())
            .append("createTm", getCreateTm())
            .append("moreNewTm", getMoreNewTm())
            .append("planTypCd", getPlanTypCd())
            .append("planTypDsc", getPlanTypDsc())
            .append("stdOrgNo", getStdOrgNo())
            .append("stdOrgNm", getStdOrgNm())
            .append("stdCityOrgNm", getStdCityOrgNm())
            .append("dataDt", getDataDt())
            .append("etlTm", getEtlTm())
            .append("parMon", getParMon())
            .append("stdCityOrgNo", getStdCityOrgNo())
            .append("planExecStDsc", getPlanExecStDsc())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
